Read one saved RSVP-TE group operation
POST
/tasks/{id}/rsvp/batch/queryReads persisted per-member outcomes. No native action or replay occurs during a query.
Контракт
Параметр | Значение |
|---|---|
| Раздел | tasks |
| Авторизация | CookieAuth |
| Принимает | application/json |
| Возвращает | application/json |
Параметры
2 параметров
Имя | Где | Обязательный | Тип | Описание |
|---|---|---|---|---|
| id | path | да | integer | Canonical positive task ID |
| request | body | да | object | Agent and operation ID |
{ "agent": "<string>", "operation-id": "<string>" }
Ответы
5 ответов
Статус | Описание | Тип |
|---|---|---|
200 | OK | object |
400 | Invalid request | object |
401 | Session required | object |
404 | Task or operation not found | object |
500 | Database failure | object |
{ "action": "<string>", "agent": "<string>", "created-at": "<string>", "cursor": 0, "members": [ { "agent": "<string>", "child-operation-id": "<string>", "identity": {}, "mode": "<string>", "observed-at": "<string>", "phase": "<string>", "reason": "<string>", "runtime-generation": "<string>", "status": "<string>" } ], "operation-id": "<string>", "profile-revision": "<string>", "resume-of": "<string>", "status": "<string>", "task-id": 0, "terminal": true, "updated-at": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }